# It's extremely hard to package jruby, so just including binaries here

%global _maven_metadata_dir /usr/share/maven-metadata

Name:		jruby-complete
Version:	9.2.6.0
Release:	0.2%{?dist}
Summary:	JRuby Complete (bundle)
License:	BSDL
URL:		https://www.jruby.org/
SOURCE0:	https://repo1.maven.org/maven2/org/jruby/jruby-complete/%{version}/jruby-complete-%{version}.pom
SOURCE1:	https://repo1.maven.org/maven2/org/jruby/jruby-complete/%{version}/jruby-complete-%{version}.jar
SOURCE2:	jruby-complete.xml
SOURCE3:	https://github.com/jruby/jruby/blob/master/BSDL

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel

Provides:	mvn(org.jruby:jruby-complete) = %{version}
Provides:	mvn(org.jruby:jruby-complete:pom:) = %{version}

Requires:	(java-headless or java-11-headless)
Requires:	javapackages-filesystem
Requires:	mvn(com.github.jnr:jnr-netdb)
Requires:	mvn(com.github.jnr:jnr-enxio)
Requires:	mvn(com.github.jnr:jnr-unixsocket)
Requires:	mvn(com.github.jnr:jnr-posix)
Requires:	mvn(com.github.jnr:jnr-constants)
Requires:	mvn(com.github.jnr:jffi)
Requires:	mvn(com.headius:invokebinder)
Requires:	mvn(com.headius:options)
Requires:	mvn(com.headius:modulator)
Requires:	mvn(com.headius:backport9)
Requires:	mvn(com.jcraft:jzlib)
Requires:	mvn(com.martiansoftware:nailgun-server)
Requires:	mvn(joda-time:joda-time)
Requires:	mvn(org.jruby:dirgra)
Requires:	mvn(org.jruby.jcodings:jcodings)
Requires:	mvn(org.jruby.joni:joni)

%description
%{name} bundles all the bits of JRuby


%install
mkdir -p %{buildroot}%{_mavenpomdir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/%{name}.jar
mkdir -p %{buildroot}%{_maven_metadata_dir}
cp -p %{SOURCE2} %{buildroot}%{_maven_metadata_dir}/%{name}.xml

cp %{SOURCE3} LICENSE

%files
%license LICENSE
%{_mavenpomdir}/%{name}/%{name}.pom
%{_javadir}/%{name}/%{name}.jar
%{_maven_metadata_dir}/%{name}.xml


%changelog
* Tue Mar 15 2022 Martin Perina <mperina@redhat.com> - 9.2.6.0-0.2
- Add missing runtime dependencies

* Tue Mar 1 2022 Martin Perina <mperina@redhat.com> - 9.2.6.0-0.1
- Initial RPM release
- Just bundled JAR due to high number of build dependencies

